com.amazonaws.services.servermigration.model

## Class Server

- java.lang.Object
- - com.amazonaws.services.servermigration.model.Server

All Implemented Interfaces:
  Serializable, Cloneable

    public class Server
    extends Object
    implements Serializable, Cloneable

Object representing a server

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Server()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Server` `clone()`
`boolean` `equals(Object obj)`
`String` `getReplicationJobId()`
`Boolean` `getReplicationJobTerminated()`
`String` `getServerId()`
`String` `getServerType()`
`VmServer` `getVmServer()`
`int` `hashCode()`
`Boolean` `isReplicationJobTerminated()`
`void` `setReplicationJobId(String replicationJobId)`
`void` `setReplicationJobTerminated(Boolean replicationJobTerminated)`
`void` `setServerId(String serverId)`
`void` `setServerType(ServerType serverType)`
`void` `setServerType(String serverType)`
`void` `setVmServer(VmServer vmServer)`
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`Server` `withReplicationJobId(String replicationJobId)`
`Server` `withReplicationJobTerminated(Boolean replicationJobTerminated)`
`Server` `withServerId(String serverId)`
`Server` `withServerType(ServerType serverType)`
`Server` `withServerType(String serverType)`
`Server` `withVmServer(VmServer vmServer)`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Server

    public Server()

### Method Detail

#### setServerId

    public void setServerId(String serverId)

Parameters:
  `serverId` -

#### getServerId

    public String getServerId()

Returns:

#### withServerId

    public Server withServerId(String serverId)

Parameters:
  `serverId` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setServerType

    public void setServerType(String serverType)

Parameters:
  `serverType` -
See Also:
  `ServerType`

#### getServerType

    public String getServerType()

Returns:
See Also:
  `ServerType`

#### withServerType

    public Server withServerType(String serverType)

Parameters:
  `serverType` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ServerType`

#### setServerType

    public void setServerType(ServerType serverType)

Parameters:
  `serverType` -
See Also:
  `ServerType`

#### withServerType

    public Server withServerType(ServerType serverType)

Parameters:
  `serverType` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ServerType`

#### setVmServer

    public void setVmServer(VmServer vmServer)

Parameters:
  `vmServer` -

#### getVmServer

    public VmServer getVmServer()

Returns:

#### withVmServer

    public Server withVmServer(VmServer vmServer)

Parameters:
  `vmServer` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setReplicationJobId

    public void setReplicationJobId(String replicationJobId)

Parameters:
  `replicationJobId` -

#### getReplicationJobId

    public String getReplicationJobId()

Returns:

#### withReplicationJobId

    public Server withReplicationJobId(String replicationJobId)

Parameters:
  `replicationJobId` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setReplicationJobTerminated

    public void setReplicationJobTerminated(Boolean replicationJobTerminated)

Parameters:
  `replicationJobTerminated` -

#### getReplicationJobTerminated

    public Boolean getReplicationJobTerminated()

Returns:

#### withReplicationJobTerminated

    public Server withReplicationJobTerminated(Boolean replicationJobTerminated)

Parameters:
  `replicationJobTerminated` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isReplicationJobTerminated

    public Boolean isReplicationJobTerminated()

Returns:

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public Server clone()

Overrides:
  `clone` in class `Object`